org.jfree.chart

## Interface Effect3D

All Known Implementing Classes:
  BarRenderer3D, LineRenderer3D, StackedBarRenderer3D, XYLine3DRenderer

    public interface Effect3D

An interface that should be implemented by renderers that use a 3D effect. This allows the axes to mirror the same effect by querying the renderer.

### Method Summary

Methods
`double` `getXOffset()` Returns the x-offset (in Java2D units) for the 3D effect.
`double` `getYOffset()` Returns the y-offset (in Java2D units) for the 3D effect.

### Method Detail

#### getXOffset

    double getXOffset()

Returns the x-offset (in Java2D units) for the 3D effect.

Returns:
  The offset.

#### getYOffset

    double getYOffset()

Returns the y-offset (in Java2D units) for the 3D effect.

Returns:
  The offset.